/*
 * Bag.h
 *
 *  Created on: 2009-07-10
 *      Author: wasyl
 */

#ifndef BAG_H_
#define BAG_H_

#include <allegro5/allegro.h>
#include "../prep/misc/Vector2D.h"
#include "../prep/ent/Entity.h"
#include "Carryable.h"

class Bag : public Carryable
{
protected:
	ALLEGRO_BITMAP *mBmp;

public:
	Bag();
	~Bag();

	int *indices()
	{
		static int ind[] = {ID("entt"), ID("rndr"), ID("dyna"), ID("posi"), ID("grbg"), ID("carr"), ID("prss"), 0};
		return ind;
	}

	int order(int index)
	{
		if (index == ID("rndr"))
			return 50;
		else
			return (int)this;
	}

	void update(double dt);
	void render();
	Rect bbox();

	Entity *clone() { return new Bag(); };
	const char *code() { return "gb"; };
	std::string edString() { return "garbage"; }
};

#endif /* BAG_H_ */
